import * as tsp from 'typescript/lib/protocol';
import * as lsp from 'vscode-languageserver';
export declare function findPathToModule(dir: string, moduleName: string): string | undefined;
export declare function toPosition(location: tsp.Location): lsp.Position;
export declare function toLocation(fileSpan: tsp.FileSpan): lsp.Location;
export declare const completionKindsMapping: {
    [name: string]: lsp.CompletionItemKind;
};
export declare function toSymbolKind(tspKind: string): lsp.SymbolKind;
export declare function toDiagnosticSeverity(category: string): lsp.DiagnosticSeverity;
export declare function toDiagnostic(tspDiag: tsp.Diagnostic): lsp.Diagnostic;
export declare function toTextEdit(edit: tsp.CodeEdit): lsp.TextEdit;
export declare function toPlainText(parts: tsp.SymbolDisplayPart[]): string;
export declare function toMarkDown(documentation: tsp.SymbolDisplayPart[], tags: tsp.JSDocTagInfo[]): string;
export declare function toTextDocumentEdit(change: tsp.FileCodeEdits): lsp.TextDocumentEdit;
export declare function toDocumentHighlight(item: tsp.DocumentHighlightsItem): lsp.DocumentHighlight[];
