import { Feature } from '@common-stack/server-core';
import { preferences } from './preferences';
import { TYPES } from './constants';
import { interfaces } from 'inversify';
import { javascriptModule } from './containers';

const createTypescriptJavascriptServiceFunc = (container: interfaces.Container) => ({
  javascript: container.get(TYPES.LANGUAGE_TYPE_JAVASCRIPT),
  typescript: container.get(TYPES.LANGUAGE_TYPE_TYPESCRIPT),
});


export default new Feature({
  createContainerFunc: [javascriptModule],
  createPreference: preferences,
  createServiceFunc: createTypescriptJavascriptServiceFunc,
} as any);
